# libcvautomation: libcvautomation-opencv.h File Reference

libcvautomation 1.3

- Main Page
- Related Pages
- Classes
- Files

- File List
- File Members

Functions
libcvautomation-opencv.h File Reference

The source code to access libcv from inside libcvautomation. More...

`#include <libcvautomation/libcvautomation.h>`

Go to the source code of this file.

## Functions

cvaPoint | matchSubImage (IplImage *rootImage, IplImage *subImage, int searchMethod, double tolerance)
| Return the location of a sub image in its root image.
cvaPoint | matchSubImage_center (IplImage *rootImage, IplImage *subImage, int searchMethod, double tolerance)
| Return the center of a sub image in its root image, rather than the top-left corner.
cvaPoint | matchSubImage_location (const char *rootImage_location, const char *subImage_location, int searchMethod, double tolerance)
| Return the location of a sub image in its root image.
cvaPoint | matchSubImage_location_center (const char *rootImage_location, const char *subImage_location, int searchMethod, double tolerance)
| Return the center of a sub image in its root image, rather than the top-left corner.
void | matchSubImage_a (IplImage *rootImage, cvautomationList *subImageArray, int listSize)
| Parse an array of sub images and send them to matchSubImage()
void | matchSubImage_a_center (IplImage *rootImage, cvautomationList *subImageArray, int listSize)
| Parse an array of sub images and send them to matchSubImage_center()
void | matchSubImage_a_location (const char *rootImageFileName, cvautomationList *subImageArray, int listSize)
| Parse an array of sub images and send them to matchSubImage()
void | matchSubImage_a_location_center (const char *rootImageFileName, cvautomationList *subImageArray, int listSize)
| Parse an array of sub images and send them to matchSubImage_center()

## Detailed Description

The source code to access libcv from inside libcvautomation.

This source file builds in the necessary functionality to use libcv functions inside libcvautomation.

Author:
  Bradlee Speice

Definition in file libcvautomation-opencv.h.

## Function Documentation

CvPoint matchSubImage | ( | IplImage * | rootImage,
|  | IplImage * | subImage,
|  | int | searchMethod,
|  | double | tolerance
| ) |  |

Return the location of a sub image in its root image.

Parameters:

  rootImage | The root image (in IplImage format) to search in
  subImage | The sub image (in IplImage format) to search for in `rootImage`
  searchMethod | The search method to use when searching for `subImage` in `rootImage`.
  tolerance | The tolerance to use when searching for `subImage` in `rootImage`.

See also:
  Libcv Search Methods

Returns:
  The location of the sub image in root image

CvPoint matchSubImage_center | ( | IplImage * | rootImage,
|  | IplImage * | subImage,
|  | int | searchMethod,
|  | double | tolerance
| ) |  |

Return the center of a sub image in its root image, rather than the top-left corner.

Parameters:

  rootImage | The root image (in IplImage format) to search in
  subImage | The sub image (in IplImage format) to search for in `rootImage`
  searchMethod | The search method to use when searching for `subImage` in `rootImage`.
  tolerance | The tolerance to use when searching for `subImage` in `rootImage`.

See also:
  Libcv Search Methods

Returns:
  The center location of the sub image in root image

CvPoint matchSubImage_location | ( | const char * | rootImage_location,
|  | const char * | subImage_location,
|  | int | searchMethod,
|  | double | tolerance
| ) |  |

Return the location of a sub image in its root image.

The difference that this function has over matchSubImage() is that rootImage_location and subImage_location are from files, rather than an IplImage format image.

Parameters:

  rootImage_location | The location of the root image
  subImage_location | The location of the sub image to search for in `rootImage`
  searchMethod | The search method to use when searching for `subImage` in `rootImage`.
  tolerance | The tolerance to use when searching for `subImage` in `rootImage`.

See also:
  Libcv Search Methods

Returns:
  The location of the sub image in root image

CvPoint matchSubImage_location_center | ( | const char * | rootImage_location,
|  | const char * | subImage_location,
|  | int | searchMethod,
|  | double | tolerance
| ) |  |

Return the center of a sub image in its root image, rather than the top-left corner.

The difference that this function has over matchSubImage_center() is that rootImage_location and subImage_location are from files, rather than an IplImage format image.

Parameters:

  rootImage_location | The location of the root image
  subImage_location | The location of the sub image to search for in `rootImage`
  searchMethod | The search method to use when searching for `subImage` in `rootImage`.
  tolerance | The tolerance to use when searching for `subImage` in `rootImage`.

See also:
  Libcv Search Methods

Returns:
  The center location of the sub image in root image

void matchSubImage_a | ( | IplImage * | rootImage,
|  | cvautomationList * | subImageArray,
|  | int | listSize
| ) |  |

Parse an array of sub images and send them to matchSubImage()

Parameters:

  rootImage | The root image (in IplImage format) to search in
  subImageArray | The sub image array to search for in `rootImage` - Note that the contents of `subImageArray` are modified during execution of this routine
  listSize | The number of sub images to search for in subImageArray

See also:
  cvautomationList

Returns:
  This function returns void, and modifies the contents of subImageArray

void matchSubImage_a_center | ( | IplImage * | rootImage,
|  | cvautomationList * | subImageArray,
|  | int | listSize
| ) |  |

Parse an array of sub images and send them to matchSubImage_center()

Uses the cvautomationList.cvaImage parameter to find a `subImage` in `rootImage`

Parameters:

  rootImage | The root image (in IplImage format) to search in
  subImageArray | The sub image array to search for in `rootImage` - Note that the contents of `subImageArray` are modified during execution of this routine
  listSize | The number of sub images to search for in subImageArray

See also:
  cvautomationList

Returns:
  This function returns void, and modifies the contents of subImageArray

void matchSubImage_a_location | ( | const char * | rootImage_location,
|  | cvautomationList * | subImageArray,
|  | int | listSize
| ) |  |

Parse an array of sub images and send them to matchSubImage()

The difference between this and matchSubImage_a() is that this uses a root image from filename, rather than from an IplImage format.

Parameters:

  rootImage_location | The location of the root image
  subImageArray | The sub image array to search for in `rootImage_location` - Note that the contents of `subImageArray` are modified during execution of this routine
  listSize | The number of sub images to search for in subImageArray

See also:
  cvautomationList

Returns:
  This function returns void, and modifies the contents of subImageArray

void matchSubImage_a_location_center | ( | const char * | rootImage_location,
|  | cvautomationList * | subImageArray,
|  | int | listSize
| ) |  |

Parse an array of sub images and send them to matchSubImage_center()

The difference that this function has over matchSubImage_a_center() is that `rootImage_location` is from a file

Parameters:

  rootImage_location | The location of the root image
  subImageArray | The sub image array to search for in `rootImage_location` - Note that the contents of `subImageArray` are modified during execution of this routine
  listSize | The number of sub images to search for in subImageArray

See also:
  cvautomationList

Returns:
  This function returns void, and modifies the contents of subImageArray

All Classes Files Functions Defines